## org.jfree.report.modules.data.beans
Class NamedStaticReportDataFactory

    java.lang.Object
      org.jfree.report.modules.data.beans.StaticReportDataFactory
          org.jfree.report.modules.data.beans.NamedStaticReportDataFactory

All Implemented Interfaces:
  ReportDataFactory

    public class NamedStaticReportDataFactory

extends StaticReportDataFactory

Creation-Date: Jan 12, 2007, 2:16:00 PM

Author:
  Thomas Morgner

Constructor Summary
`NamedStaticReportDataFactory()`

Method Summary
`org.pentaho.reporting.libraries.resourceloader.ResourceKey` `getContentBase()`
`java.lang.String` `getQuery(java.lang.String name)`
`java.lang.String[]` `getQueryNames()`
`ReportData` `queryData(java.lang.String query, DataSet parameters)` Queries a datasource.
`void` `setContentBase(org.pentaho.reporting.libraries.resourceloader.ResourceKey contentBase)`
`void` `setQuery(java.lang.String name, java.lang.String queryString)`

Methods inherited from class org.jfree.report.modules.data.beans.StaticReportDataFactory
`close, derive, getClassLoader, open`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedStaticReportDataFactory

    public NamedStaticReportDataFactory()

Method Detail

### setQuery

    public void setQuery(java.lang.String name,
                         java.lang.String queryString)

### queryData

    public ReportData queryData(java.lang.String query,
                                DataSet parameters)
                         throws ReportDataFactoryException

  Queries a datasource. The string 'query' defines the name of the query. The Parameterset given here may contain more data than actually needed.

  The dataset may change between two calls, do not assume anything!

  Specified by:
    `queryData` in interface `ReportDataFactory`
  Overrides:
    `queryData` in class `StaticReportDataFactory`
  Parameters:
    `query` -
    `parameters` -
  Returns:
  Throws:
    `ReportDataFactoryException`

### getQuery

    public java.lang.String getQuery(java.lang.String name)

### getQueryNames

    public java.lang.String[] getQueryNames()

### getContentBase

    public org.pentaho.reporting.libraries.resourceloader.ResourceKey getContentBase()

### setContentBase

    public void setContentBase(org.pentaho.reporting.libraries.resourceloader.ResourceKey contentBase)